/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 * 
 *  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 *  This code is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version 3, 
 *  or (at your option) any later version, as published by the Free Software Foundation.  
 *  The authors designate this particular file as subject to the "Classpath" exception 
 *  as provided in the LICENSE file that accompanied this code.
 *
 *  This code is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  version 3 for more details (a copy is included in the LICENSE file that
 *  accompanied this code).
 *
 *  You should have received a copy of the GNU General Public License version 3
 *  along with this work; if not, see http://www.gnu.org/licenses/gpl-3.0.txt 
 *
 *  Please contact visnow.org or visit www.visnow.org if you need additional information or
 *  have any questions.
 *
 */

package org.visnow.vn.lib.basic.filters.CellToNode;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;
import org.visnow.vn.engine.core.ParameterProxy;
import org.visnow.vn.engine.core.Parameters;
import static org.visnow.vn.lib.basic.filters.CellToNode.CellToNodeShared.DROP;

/**
 *
 * @author know
 */
public class GUI extends javax.swing.JPanel
{
    private Parameters parameters;

    /**
     * Creates new form GUI
     */
    public GUI()
    {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {

        dropCellDataBox = new JCheckBox();

        setLayout(new BorderLayout());

        dropCellDataBox.setSelected(true);
        dropCellDataBox.setText("  drop converted cell data");
        dropCellDataBox.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent evt)
            {
                dropCellDataBoxActionPerformed(evt);
            }
        });
        add(dropCellDataBox, BorderLayout.NORTH);
    }// </editor-fold>//GEN-END:initComponents

    private void dropCellDataBoxActionPerformed(ActionEvent evt)//GEN-FIRST:event_dropCellDataBoxActionPerformed
    {//GEN-HEADEREND:event_dropCellDataBoxActionPerformed
        parameters.set(DROP, dropCellDataBox.isSelected());
    }//GEN-LAST:event_dropCellDataBoxActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected JCheckBox dropCellDataBox;
    // End of variables declaration//GEN-END:variables

    void updateGUI(ParameterProxy p)
    {
        dropCellDataBox.setSelected(p.get(DROP));
    }

    void setParameters(Parameters parameters)
    {
        this.parameters = parameters;
    }
}
